# Hiro UI - Bootstrap NEXT [![npm (scoped)](https://img.shields.io/npm/v/@hiro-ui/bootstrap/canary.svg)](https://www.npmjs.com/package/@hiro-ui/bootstrap)[![Build Status](https://travis-ci.org/arago/hiro-ui.svg)](https://travis-ci.org/arago/hiro-ui)

This project provides standardised components, themes and rendering for Hiro Apps.
By rendering your React app as a Hiro App; Authentication, ORM, Redux store and Routing are all handled for you.
Additionally, Hiro UI Themes are provided and work in conjunction with the underlying Semantic UI components to provide re-usable React components.

## Usage

First create your React app using the [create-react-app](https://github.com/facebook/create-react-app) tool.

```
yarn create react-app my-app --typescript
```

Follow the given instructions.

Then import components as normal and use:

```jsx
import { Container, Menu, MenuItem, Segment } from '@hiro-ui/bootstrap';
import HiroLogo from './hiro-logo.svg';

const MyApp = () => (
  <Container>
    <GlobalStyle />
    <Menu bordered>
      <MenuItem border="right">
        <img src={HiroLogo} width={35} height={35} alt="HIRO Login" />
      </MenuItem>
      <MenuItem>Welcome</MenuItem>
    </Menu>
    <p>Hello world!</p>
  </Container>
);
```

<Preview>
  <Container>
    <GlobalStyle />
    <Menu bordered>
      <MenuItem border="right">
        <img src={HiroLogo} width={35} height={35} alt="HIRO Login" />
      </MenuItem>
      <MenuItem>Welcome</MenuItem>
    </Menu>
    <p>Hello world!</p>
  </Container>
</Preview>

See the docs for examples of components and their props: https://arago.github.io/hiro-ui/

## Linting

Install the linting config:

```
yarn add -D @hiro-ui/eslint-config
```

Update eslint config in `package.json`:

```json
"eslintConfig": {
    "extends": "@hiro-ui"
},
```

## Prettier

Install the prettier config:

```
yarn add --dev @hiro-ui/prettier-config
```

Add prettier to`package.json`:

```json
"prettier": "@hiro-ui/prettier-config"
```