import React, { useCallback } from 'react';
import { Box, Segment, Text } from '../elements';
import { Loader } from '../modules';
import { Menu, MenuItem } from '../collections';
import { useConfig, useDashboardContext } from './context';
import { useWidget } from './widgets';
var WidgetContent = function (_a) {
    var config = _a.config;
    var Component = useWidget(config.as);
    return React.createElement(Component, { config: config }, config.content);
};
export var WidgetMenu = function (_a) {
    var config = _a.config, color = _a.color, onMaximise = _a.onMaximise, isMaximised = _a.isMaximised;
    // Don't render if no content
    if (config.title && !onMaximise) {
        return null;
    }
    return (React.createElement(Menu, null, config.title && (React.createElement(MenuItem, null,
        React.createElement(Text, { as: "span", color: color }, config.title)))));
};
export var Widget = function (_a) {
    var config = _a.config, id = _a.id;
    var color = useConfig().color;
    var _b = useDashboardContext(), maximised = _b.maximised, setMaximised = _b.setMaximised;
    var size = maximised === id ? 1 : config.size;
    var toggleMaximise = useCallback(function () {
        if (maximised === id) {
            setMaximised('');
        }
        else {
            setMaximised(id);
        }
    }, [maximised, setMaximised, id]);
    return (React.createElement(Box, { size: size, padded: true, stretched: true },
        React.createElement(Segment, { raised: true },
            React.createElement(WidgetMenu, { config: config, color: color, onMaximise: toggleMaximise, isMaximised: maximised === id }),
            React.createElement(React.Suspense, { fallback: React.createElement(Loader, { active: true }) },
                React.createElement(WidgetContent, { config: config })))));
};
