import React from 'react';
import { DashboardConfig, DataWidgetConfig } from './types';
export declare const useConfig: () => DashboardConfig;
/**
 * Global state for Dashboard
 */
export interface Me {
    _id: string;
    name: string;
}
export interface DashboardContextValue {
    me?: Me;
    maximised: string;
    setMaximised: (id: string) => void;
}
export interface DashboardContextProps {
    config?: DashboardConfig;
    me?: Me;
}
export declare const useDashboardContext: () => DashboardContextValue;
export declare const useDashboardData: <T extends any = any>(config?: DataWidgetConfig | undefined) => T | undefined;
export declare const DashboardContextProvider: React.FC<DashboardContextProps>;
