import React, { useContext, useState, useMemo } from 'react';
import { F, flatten, path } from 'ramda';
import { useSelector } from 'react-redux';
/**
 * Context for making dashboard config available
 */
var DashboardConfigContext = React.createContext({});
export var useConfig = function () { return useContext(DashboardConfigContext); };
var DashboardContext = React.createContext({
    maximised: '',
    setMaximised: F,
});
// Wrapped access and provider for context
export var useDashboardContext = function () { return useContext(DashboardContext); };
export var useDashboardData = function (config) {
    var store = useConfig().store;
    var dataPath = config && config.data && config.data.path;
    var get = useMemo(function () {
        if (!dataPath) {
            return;
        }
        var p = flatten([store, dataPath]);
        return path(p);
    }, [store, dataPath]);
    return useSelector(function (state) {
        if (!dataPath) {
            return;
        }
        return get(state);
    });
};
export var DashboardContextProvider = function (_a) {
    var children = _a.children, _b = _a.config, config = _b === void 0 ? {} : _b, me = _a.me;
    var _c = useState(''), maximised = _c[0], setMaximised = _c[1];
    return (React.createElement(DashboardConfigContext.Provider, { value: config },
        React.createElement(DashboardContext.Provider, { value: { maximised: maximised, setMaximised: setMaximised, me: me } }, children)));
};
