import React from 'react';
import { Bar, CartesianGrid, ComposedChart, Legend, XAxis, YAxis, ResponsiveContainer, } from 'recharts';
import moment from 'moment';
import { Box, Circle } from '../../elements';
import { useTheme } from '../../../theme';
var dataCount = 50;
var data = Array.from(Array(dataCount), function (_, i) { return ({
    ev: Math.random() * 10,
    rate: Math.random() * 10,
    rv: Math.random() * 10,
    timestamp: moment()
        .subtract(dataCount - i, 'days')
        .format('DD MMM'),
}); });
export var AutomationStats = function (_a) {
    var config = _a.config;
    var colors = useTheme().colors;
    var fill = colors.blue.default;
    var negativeFill = colors.red.active;
    return (React.createElement(Box, { direction: "row", centered: "spaced" },
        React.createElement(Box, { centered: true },
            React.createElement(Circle, { color: "blue" }, "60%"),
            React.createElement("small", null, "Automation Rate Today")),
        React.createElement(Box, { centered: true },
            React.createElement(Circle, { color: "blue" }, "34"),
            React.createElement("small", null, "Todays New Issues")),
        React.createElement(Box, { size: 0.5 },
            React.createElement(ResponsiveContainer, { minWidth: 200, minHeight: 200 },
                React.createElement(ComposedChart, { data: data },
                    React.createElement(CartesianGrid, { opacity: "0.3", vertical: false }),
                    React.createElement(XAxis, { dataKey: "timestamp" }),
                    React.createElement(YAxis, { yAxisId: "left" }),
                    React.createElement(Legend, null),
                    React.createElement(Bar, { dataKey: "rv", stackId: "a", fill: fill, name: "Automated", yAxisId: "left" }),
                    React.createElement(Bar, { dataKey: "ev", stackId: "a", fill: negativeFill, name: "Not automated", yAxisId: "left" }))))));
};
export default AutomationStats;
