var _a;
import React, { useMemo } from 'react';
import styled from 'styled-components';
import moment from 'moment';
import { useDashboardData } from '../context';
import { Loader } from '../../modules';
import { Box } from '../../elements';
import { Button } from '../../inputs';
import defaultTheme from '../../../theme';
var IssueItem = function (_a) {
    var issue = _a.issue;
    var createdOn = useMemo(function () {
        var date = issue['ogit/_created-on'];
        var tooOld = Date.now() - date > 1000 * 60 * 60 * 24 * 5;
        var time = moment(date);
        return tooOld ? time.format('DD/MM/Y') : time.fromNow();
    }, [issue]);
    return (React.createElement(Box, { direction: "row", verticalAlign: "center" },
        React.createElement(Box, null,
            React.createElement("p", null, issue['ogit/subject']),
            React.createElement("small", null, createdOn)),
        React.createElement(Box, { floated: "right" },
            React.createElement(Box, { direction: "row", verticalAlign: "center" },
                React.createElement(Button, { color: "blue" }, "Start Teaching")))));
};
var ListContainer = styled.div((_a = {
        fontSize: '0.75em',
        lineHeight: '1.5em',
        padding: '0.25em 0',
        '& p': {
            margin: 0,
        }
    },
    _a["& > " + Box] = {
        padding: '0.25rem 0.5rem',
        height: '4em',
    },
    _a["& > " + Box + ":not(:last-child)"] = {
        marginBottom: '0.25em',
    },
    _a), function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {},
        _b["& > " + Box + ":nth-child(odd)"] = {
            backgroundColor: theme.greyscale.lighter,
        },
        _b);
});
ListContainer.defaultProps = {
    theme: defaultTheme,
};
export var IssueList = function (_a) {
    var config = _a.config;
    var data = useDashboardData(config);
    if (!data || data.loading) {
        return React.createElement(Loader, { active: true });
    }
    if (!data.result) {
        return (React.createElement(Box, { centered: true, verticalAlign: "center" },
            React.createElement("small", null, "No Data Found")));
    }
    return (React.createElement(ListContainer, null, data.result.map(function (r) { return (React.createElement(IssueItem, { issue: r, key: r['ogit/_id'] })); })));
};
export default IssueList;
