var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var _a;
import React, { useMemo, useState } from 'react';
import styled from 'styled-components';
import { ProgressBubbles, Box, } from '../../elements';
import { Button } from '../../inputs';
import { Loader } from '../../modules';
import { useDashboardData } from '../context';
var getHandoverStatusIcon = function (isHandover, conversionOwner) {
    if (isHandover) {
        if (conversionOwner) {
            return 'conversionStarted';
        }
        return 'positive';
    }
    return 'none';
};
var calculateProgressBubbles = function (value) {
    var owner = value["ogit/_owner"], _a = value["/teaching_rooms"], teachingRooms = _a === void 0 ? 0 : _a, _b = value["/teaching_rooms_completed"], teachingRoomsCompleted = _b === void 0 ? 0 : _b, _c = value["/teaching_step_progress"], teachingSteps = _c === void 0 ? 0 : _c, _d = value["/teaching_steps_deployed"], teachingStepsDeployed = _d === void 0 ? 0 : _d, _e = value["/teaching_is_handedover"], teachingIsHandedover = _e === void 0 ? false : _e, conversionOwner = value["/teaching_conversion_ownerId"];
    if (!owner) {
        return [];
    }
    return [
        {
            key: 'steps',
            content: {
                value: Number(teachingRoomsCompleted),
                total: Number(teachingRooms),
            },
            label: 'Steps',
        },
        {
            key: 'handover',
            content: getHandoverStatusIcon(teachingIsHandedover, conversionOwner),
            label: 'Handover',
        },
        {
            key: 'ki',
            content: {
                value: Number(teachingStepsDeployed),
                total: Number(teachingSteps),
            },
            label: 'KI',
        },
    ];
};
var SessionItem = function (_a) {
    var progress = _a.progress, title = _a.title;
    var _b = useState(false), hover = _b[0], setHover = _b[1];
    return (React.createElement(Box, { direction: "row", verticalAlign: "center", onMouseEnter: function () { return setHover(true); }, onMouseLeave: function () { return setHover(false); } },
        React.createElement(Box, { size: 0.25 },
            React.createElement("small", null, title)),
        React.createElement(Box, { size: 0.65, floated: "right", centered: hover }, hover ? (React.createElement(Button, { color: "blue" }, "Continue Teaching")) : (React.createElement(ProgressBubbles, { progress: progress })))));
};
var ListContainer = styled.div((_a = {
        fontSize: '0.75em',
        lineHeight: '1.5em',
        padding: '0.25em 0'
    },
    _a["& > " + Box] = {
        height: '4em',
    },
    _a));
export var SessionList = function (_a) {
    var config = _a.config;
    var data = useDashboardData(config);
    var progress = useMemo(function () {
        return ((data &&
            data.result &&
            data.result.reduce(function (acc, d) {
                acc[d['ogit/_id']] = {
                    progress: calculateProgressBubbles(d),
                    title: d['ogit/title'],
                };
                return acc;
            }, {})) ||
            {});
    }, [data]);
    if (!data || data.loading) {
        return React.createElement(Loader, { active: true });
    }
    if (!data.result) {
        return (React.createElement(Box, { centered: true, verticalAlign: "center" },
            React.createElement("small", null, "No Data Found")));
    }
    return (React.createElement(ListContainer, null, Object.entries(progress).map(function (_a) {
        var k = _a[0], v = _a[1];
        return (React.createElement(SessionItem, __assign({ key: k }, v)));
    })));
};
export default SessionList;
