import React from 'react';
import { Box } from '../../elements';
import { useDashboardData } from '../context';
import { Loader } from '../../modules';
import { InfoCircle } from './shared';
var toPercent = function (value) { return (value * 100).toFixed(0) + '%'; };
export var UserStats = function (_a) {
    var config = _a.config;
    var data = useDashboardData(config);
    if (!data || data.loading) {
        return React.createElement(Loader, { active: true });
    }
    if (!data.result) {
        return (React.createElement(Box, { centered: true, verticalAlign: "center" },
            React.createElement("small", null, "No Data Found")));
    }
    var _b = data.result, sessions = _b.sessions, kis = _b.kis, quality = _b.quality;
    return (React.createElement(Box, { direction: "row", centered: "spaced" },
        React.createElement(Box, { centered: true, title: "Percentage of teaching sessions compared to your company" },
            React.createElement(InfoCircle, { alt: sessions.value + "/" + sessions.total, altTitle: "Sessions" }, toPercent(sessions.value / sessions.total)),
            React.createElement("small", null, "Your Teaching Contribution")),
        React.createElement(Box, { centered: true, title: "Percentage of KIs created from your teaching sessions compared to your company" },
            React.createElement(InfoCircle, { alt: kis.value + "/" + kis.total, altTitle: "KIs" }, toPercent(kis.value / kis.total)),
            React.createElement("small", null, "Your KI Contribution")),
        React.createElement(Box, { centered: true, title: "Percentage of your teaching sessions deployed as KIs" },
            React.createElement(InfoCircle, { alt: quality.value + "/" + quality.total, altTitle: "Teaching vs KIs" }, toPercent(quality.value > quality.total
                ? quality.total / quality.value
                : quality.value / quality.total)),
            React.createElement("small", null, "Your Teaching-to-KI Ratio"))));
};
export default UserStats;
