var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import renderer from 'react-test-renderer';
import { Provider } from 'react-redux';
import { createStore } from 'redux';
import * as collections from './collections';
import * as dashboard from './dashboard';
import * as elements from './elements';
import * as globals from './global';
import * as inputs from './inputs';
import * as modules from './modules';
import * as icons from './icons';
// Get Widgets
import * as IssueList from './dashboard/widgets/IssueList';
import * as SessionList from './dashboard/widgets/SessionList';
import * as Welcome from './dashboard/widgets/Welcome';
var widgets = {
    IssueList: IssueList,
    SessionList: SessionList,
    Welcome: Welcome,
};
// Group all components for testing
var allComponents = __assign({ collections: collections,
    elements: elements,
    globals: globals,
    inputs: inputs,
    modules: modules,
    dashboard: dashboard,
    icons: icons }, widgets);
var reducer = function (state, action) {
    switch (action.type) {
        default:
            return state;
    }
};
var store = createStore(reducer);
Object.entries(allComponents).forEach(function (folder) {
    var folderName = folder[0], components = folder[1];
    describe(folderName, function () {
        Object.entries(components)
            .filter(function (_a) {
            var name = _a[0];
            return !name.endsWith('Context');
        })
            .forEach(function (c) {
            var name = c[0], Component = c[1];
            it("render " + name, function () {
                var tree = renderer
                    .create(React.createElement(Provider, { store: store },
                    React.createElement(Component, null)))
                    .toJSON();
                expect(tree).toMatchSnapshot();
            });
        });
    });
});
