var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import styled from 'styled-components';
import { Search as SearchIcon, Times as TimesIcon, } from 'styled-icons/fa-solid';
import { StyledInput } from './StyledInput';
import defaultTheme from '../../../theme';
var Wrapper = styled.div(function (_a) {
    var _b;
    var theme = _a.theme, active = _a.active;
    return (_b = {
            position: 'relative',
            '& svg': {
                cursor: 'pointer',
                color: theme.colors.primary[active ? 'dark' : 'light'],
                width: active ? '0.75em' : '0.9em',
                transform: active ? 'translate(-1.5em, 3px)' : 'translate(-1.5em, 1px)',
            },
            '&:focus svg, &:focus:hover svg, &:hover svg': {
                color: theme.colors.primary.dark,
            }
        },
        _b[StyledInput] = {
            paddingRight: '2.2em',
        },
        _b);
});
Wrapper.defaultProps = {
    theme: defaultTheme,
};
export var Search = function (_a) {
    var onClear = _a.onClear, rest = __rest(_a, ["onClear"]);
    var Icon = rest.value ? TimesIcon : SearchIcon;
    return (React.createElement(Wrapper, { active: !!rest.value },
        React.createElement(StyledInput, __assign({}, rest)),
        React.createElement(Icon, { onClick: onClear })));
};
