import styled from 'styled-components';
import defaultTheme from '../../../theme';
export var StyledInput = styled.input({
    margin: 0,
    outline: 0,
    textAlign: 'left',
    lineHeight: '1.5em',
    padding: '.5em 1em',
}, function (_a) {
    var theme = _a.theme;
    return {
        borderRadius: theme.sizes.borderRadius,
        border: "1px solid " + theme.greyscale.light,
        '&:focus, &:focus:hover, &:hover': {
            borderColor: theme.colors.primary.default,
        },
        '&:hover': {
            boxShadow: "1px 1px 12px 0 " + theme.greyscale.dark,
        },
    };
}, function (_a) {
    var fluid = _a.fluid;
    return (fluid ? { width: '100%' } : null);
});
StyledInput.defaultProps = {
    theme: defaultTheme,
};
