import { text, primary, secondary, raised } from './color';
import { createTheme } from '../theme';
var theme = createTheme({
    greyscale: {
        medium: '#ddd',
    },
});
describe('raised', function () {
    it('Empty style', function () {
        var res = raised({ theme: theme });
        expect(res).toBeFalsy();
    });
    it('Generates raised style', function () {
        var res = raised({
            theme: theme,
            raised: true,
        });
        expect(res).toBeTruthy();
        expect(res.boxShadow).toBe('0 0px 2px 0  #ddd, 0 2px 4px 0  #ddd');
    });
});
describe('text', function () {
    it('Empty style', function () {
        var res = text({ theme: theme });
        expect(res).toBeFalsy();
    });
    it('Generates coloured style', function () {
        var res = text({ theme: theme, color: 'red' });
        expect(res).toBeTruthy();
        expect(res.color).toBe(theme.colors.red.default);
    });
});
describe('primary', function () {
    it('Generates style', function () {
        var res = primary({ theme: theme });
        expect(res).toBeTruthy();
        expect(res.backgroundColor).toBe(theme.colors.primary.default);
    });
    it('Generates coloured style', function () {
        var res = primary({ theme: theme, color: 'red' });
        expect(res).toBeTruthy();
        expect(res.backgroundColor).toBe(theme.colors.red.default);
    });
});
describe('secondary', function () {
    it('Generates style', function () {
        var res = secondary({ theme: theme });
        expect(res).toBeTruthy();
        expect(res.backgroundColor).toBe('transparent');
    });
    it('Generates coloured style', function () {
        var res = secondary({ theme: theme, color: 'red' });
        expect(res).toBeTruthy();
        expect(res.color).toBe(theme.colors.red.dark);
    });
});
