import { paddable, textAlign } from './layout';
import { createTheme } from '../theme';
var theme = createTheme({
    sizes: {
        padding: {
            normal: '2em',
            extra: '3em',
        },
    },
});
describe('paddable', function () {
    it('Empty', function () {
        var res = paddable({ theme: theme });
        expect(res).toBeFalsy();
    });
    it('Padded', function () {
        var res = paddable({ theme: theme, padded: true });
        expect(res).toBeTruthy();
        expect(res).toEqual({
            padding: '2em',
        });
    });
    it('Padded - Extra', function () {
        var res = paddable({ theme: theme, padded: 'extra' });
        expect(res).toBeTruthy();
        expect(res).toEqual({
            padding: '3em',
        });
    });
});
describe('textAlign', function () {
    it('Empty', function () {
        var res = textAlign({ theme: theme });
        expect(res).toBeFalsy();
    });
    it('Aligned', function () {
        var res = textAlign({ theme: theme, textAlign: 'center' });
        expect(res).toBeTruthy();
        expect(res).toEqual({
            textAlign: 'center',
        });
    });
});
